#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC9,0x30,0x9B,0xCB,0x66,0x0E,0xDA,0xD3,0xB2,0xF0,0xEC,0xCA,
		0x96,0x00,0x3C,0xD5,0xDF,0xE2,0xA9,0x70,0x88,0x70,0x7D,0x0C,
		0xDD,0x8D,0x12,0x99,0x57,0x55,0x05,0x25,0x0B,0x0E,0xD5,0x4E,
		0x53,0xCF,0xA7,0xE5,0xAE,0x9A,0xC6,0x5D,0x6E,0x7D,0xC5,0x42,
		0xE0,0x9A,0x7D,0x97,0x9C,0xAD,0x92,0x88,0xDE,0x24,0x15,0x4B,
		0xC2,0xCF,0x29,0xEB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
